DENSIFY-BRAGG(1)

NAME
densify-Bragg - Convert a sparse fileformat (Generated by sparsify-Bragg from pyFAI) to a dense stack of frames in Eiger, Lima ... images.

DESCRIPTION
usage: densify [-h] [-V] [-v] [--debug] [-l] [-o OUTPUT] [-O FORMAT]

    [-D DUMMY] [--dry-run] [-N NOISY] [IMAGE ...]

Convert a sparse fileformat (Generated by sparsify-Bragg from pyFAI) to a dense stack of frames in Eiger, Lima ... images.

  positional arguments:

IMAGE
    File with input images

  options:

-h, --help
    show this help message and exit

-V, --version
    output version and exit

-v, --verbose
    show information for each conversions

--debug
    show debug information

  main arguments:

-l, --list
    show the list of available output formats and exit

-o OUTPUT, --output OUTPUT
    output filename, by default {baseame}_densify.h5

-O FORMAT, --output-format FORMAT
    output format among 'lima', 'eiger' ...

-D DUMMY, --dummy DUMMY
    Set masked values to this dummy value

  optional behaviour arguments:

--dry-run
    do everything except modifying the file system

-N NOISY, --noise NOISY
    Noise scaling factor, from 0 to 1, set to 0 to disable the noise reconstruction

return codes: 0 means a success. 1 means the conversion contains a failure, 2 means there was an error in the arguments